> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete OTP Request



## OpenAPI

````yaml /openapi/rollout.json post /auth/otp/{otpChallengeId}
openapi: 3.0.3
info:
  title: Universal API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://universal.rollout.com/api
security: []
paths:
  /auth/otp/{otpChallengeId}:
    post:
      summary: Complete OTP Request
      operationId: postAuthOtpByOtpChallengeId
      parameters:
        - name: otpChallengeId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                otp:
                  type: string
              required:
                - otp
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                otp:
                  type: string
              required:
                - otp
          multipart/form-data:
            schema:
              type: object
              properties:
                otp:
                  type: string
              required:
                - otp
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    enum:
                      - true
                  credential:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                required:
                  - ok
                  - credential
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - ok
                  - errors

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.